﻿namespace NetinaShop.Domain.Dtos.LargDtos;
public class OrderLDto : BaseDto<OrderLDto,Order>
{
    public long TotalPrice { get; set; }
    public long DeliveryPrice { get; set; }
    public long TaxesPrice { get; set; }
    public long ServicePrice { get; set; }
    public long PackingPrice { get; set; }
    public long TotalProductsPrice { get; set; }
    public long DiscountPrice { get; set; }
    public bool IsPayed { get; set; }
    public OrderStatus OrderStatus { get; set; }
    public DateTime DoneAt { get; set; }
    public DateTime OrderAt { get; set; }
    public int PreparingMinute { get; set; }
    public string DiscountCode { get; set; } = string.Empty;

    public List<OrderProductSDto> OrderProducts { get; internal set; } = new();

    public List<OrderDeliverySDto> OrderDeliveries { get; internal set; } = new();
}

